Bug 283361 - "Copy to Collection" window doesn't fit on small screens (1024x600)
Summary: "Copy to Collection" window doesn't fit on small screens (1024x600)
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Collections/Local (show other bugs)
Version: 2.6.0
Platform: Fedora RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-05 03:30 UTC by harlequix
Modified: 2013-11-13 20:54 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.8


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description harlequix 2011-10-05 03:30:01 UTC
Version:           2.4.3 (using KDE 4.6.5) 
OS:                Linux

If you are using a small screen device, like a netbook, the window where you can choose in which pattern the tracks should be copied to another device will be too big. You cannot proceed the action. Attached a screenshot from the window

Reproducible: Always

Steps to Reproduce:
1. grab a small screen device
2. try to copy a track onto a different device
3. enjoy the bug ;-)

Actual Results:  
You cannot proceed

Expected Results:  
You should be able to proceed. The window should comply to the size of the screen.

It does not.
Comment 1 Myriam Schweingruber 2011-10-05 07:38:58 UTC
Could you please be a bit more detailed (in pixels) about the size of screen you are talking of?
Comment 2 harlequix 2011-10-07 03:24:02 UTC
the device in question is a 10.1 inch netbook with a 1024x600 resolution
Comment 3 Myriam Schweingruber 2011-10-07 08:10:40 UTC
Thank you for the feedback.
Comment 4 MinSik CHO 2012-12-02 12:00:54 UTC
reproducible with amarok 2.6, 800*600 resolution
Comment 5 Ralf Engels 2013-02-10 21:26:53 UTC
The dialog is a little bit overloaded, even in my new version for 2.8 
I will try to save some space...
Comment 6 Ralf Engels 2013-02-12 11:33:10 UTC
Git commit 7c780bf57aa69a961dd7b6c95a5eda53767d4558 by Ralf Engels.
Committed on 11/02/2013 at 20:24.
Pushed by rengels into branch 'master'.

Fix: "Copy to Collection" window doesn't fit on small screens (1024x600)
FIXED-IN: 2.8

M  +20   -11   src/dialogs/OrganizeCollectionDialog.cpp
M  +2    -8    src/dialogs/OrganizeCollectionDialogBase.ui

http://commits.kde.org/amarok/7c780bf57aa69a961dd7b6c95a5eda53767d4558
Comment 7 Matěj Laitl 2013-11-13 20:54:45 UTC
Related commit:
> Git commit 36e63e986938c1a3f289c51789a8f35bfc47a15e by Matěj Laitl.
> Committed on 13/11/2013 at 17:58.
> Pushed by laitl into branch 'master'.
> 
> OrganizeCollectionDialog: hide complex options behind a button
> 
> In commit 7c780bf5, Ralf addressed bug 283361 by only showing the preview
> table when the screen is large enough, which I believe went too far.
> 
> This is a bit different approach, the file scheme and other options are
> hidden behind the Options button when the dialog is shown, making it much
> more cleaner. The rationale is that the user usually sets up the options
> once, not every time (and beginner users may be happy with the default
> schema right away).
> FIXED-IN: 2.9
> 
> M  +2    -0    ChangeLog
> M  +6    -5    src/dialogs/OrganizeCollectionDialog.cpp
> M  +25   -28   src/dialogs/OrganizeCollectionDialogBase.ui
> 
> http://commits.kde.org/amarok/36e63e986938c1a3f289c51789a8f35bfc47a15e